/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-08-13
 * 描述            ：需求从表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Demand.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Demand.mapper.PurDemandCMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;


@Table(name="PUR_DEMAND_C", namespace=PurDemandCMapper.class)
public class PurDemandC extends BaseVO implements Serializable {
	 
	/**
	 * 
	 */
	private static final long serialVersionUID = 4670943944042274711L;
	/** 
	 * 需求单行号(需求单号+3位)
	 */ 
	@Id
	private String demand_sqe;
	public String getDemand_sqe() {
		return this.demand_sqe;
	}
	public void setDemand_sqe(String demand_sqe) {
		this.demand_sqe = demand_sqe;
	}

	/** 
	 * 需求单号
	 */ 
	@Column
	private String demand_no;
	public String getDemand_no() {
		return this.demand_no;
	}
	public void setDemand_no(String demand_no) {
		this.demand_no = demand_no;
	}

	/** 
	 * 分类代码
	 */ 
	@Column
	private String mat_class_code;
	public String getMat_class_code() {
		return this.mat_class_code;
	}
	public void setMat_class_code(String mat_class_code) {
		this.mat_class_code = mat_class_code;
	}

	/** 
	 * 分类名称
	 */ 
	@Column
	private String mat_class_name;
	public String getMat_class_name() {
		return this.mat_class_name;
	}
	public void setMat_class_name(String mat_class_name) {
		this.mat_class_name = mat_class_name;
	}

	/** 
	 * 物料编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 物料描述
	 */ 
	@Column
	private String item_desc;
	public String getItem_desc() {
		return this.item_desc;
	}
	public void setItem_desc(String item_desc) {
		this.item_desc = item_desc;
	}

	/** 
	 * 物料名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 物料英文名称
	 */ 
	@Column
	private String item_desc_e;
	public String getItem_desc_e() {
		return this.item_desc_e;
	}
	public void setItem_desc_e(String item_desc_e) {
		this.item_desc_e = item_desc_e;
	}

	/** 
	 * 物料检索(拼音助记码)
	 */ 
	@Column
	private String item_idx;
	public String getItem_idx() {
		return this.item_idx;
	}
	public void setItem_idx(String item_idx) {
		this.item_idx = item_idx;
	}

	/** 
	 * 标准代码
	 */ 
	@Column
	private String standards_code;
	public String getStandards_code() {
		return this.standards_code;
	}
	public void setStandards_code(String standards_code) {
		this.standards_code = standards_code;
	}

	/** 
	 * 标准号
	 */ 
	@Column
	private String standards_name;
	public String getStandards_name() {
		return this.standards_name;
	}
	public void setStandards_name(String standards_name) {
		this.standards_name = standards_name;
	}

	/** 
	 * 规格
	 */ 
	@Column
	private String spec_name;
	public String getSpec_name() {
		return this.spec_name;
	}
	public void setSpec_name(String spec_name) {
		this.spec_name = spec_name;
	}

	/** 
	 * (钢种/钢级/牌号)----COM_BASE_STEEL
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * (钢种/钢级/牌号)
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 属性代码
	 */ 
	@Column
	private String attr_code;
	public String getAttr_code() {
		return this.attr_code;
	}
	public void setAttr_code(String attr_code) {
		this.attr_code = attr_code;
	}

	/** 
	 * 属性名称
	 */ 
	@Column
	private String attr_name;
	public String getAttr_name() {
		return this.attr_name;
	}
	public void setAttr_name(String attr_name) {
		this.attr_name = attr_name;
	}

	/** 
	 * 交货状态代码(COM_BASE_DELIVERYSTATE)
	 */ 
	@Column
	private String delivery_state_code;
	public String getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 交货状态名称
	 */ 
	@Column
	private String delivery_state_name;
	public String getDelivery_state_name() {
		return this.delivery_state_name;
	}
	public void setDelivery_state_name(String delivery_state_name) {
		this.delivery_state_name = delivery_state_name;
	}

	/** 
	 * 需求数量
	 */ 
	@Column
	private Double qty;
	public Double getQty() {
		return this.qty;
	}
	public void setQty(Double qty) {
		this.qty = qty;
	}

	/** 
	 * 核准数量
	 */ 
	@Column
	private Double qty_val;
	public Double getQty_val() {
		return this.qty_val;
	}
	public void setQty_val(Double qty_val) {
		this.qty_val = qty_val;
	}

	/** 
	 * 采购单位编码
	 */ 
	@Column
	private String uom_code;
	public String getUom_code() {
		return this.uom_code;
	}
	public void setUom_code(String uom_code) {
		this.uom_code = uom_code;
	}

	/** 
	 * 采购单位名称
	 */ 
	@Column
	private String uom_name;
	public String getUom_name() {
		return this.uom_name;
	}
	public void setUom_name(String uom_name) {
		this.uom_name = uom_name;
	}

	/** 
	 * 预算单价(取计划价)
	 */ 
	@Column
	private Double budget_price;
	public Double getBudget_price() {
		return this.budget_price;
	}
	public void setBudget_price(Double budget_price) {
		this.budget_price = budget_price;
	}

	/** 
	 * 预算总金额(计划价*数量)
	 */ 
	@Column
	private Double budget_amt;
	public Double getBudget_amt() {
		return this.budget_amt;
	}
	public void setBudget_amt(Double budget_amt) {
		this.budget_amt = budget_amt;
	}

	/** 
	 * 最晚送货时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date last_delivery_date;
	public Date getLast_delivery_date() {
		return this.last_delivery_date;
	}
	public void setLast_delivery_date(Date last_delivery_date) {
		this.last_delivery_date = last_delivery_date;
	}

	/** 
	 * 是否建议进口(0否1是)
	 */ 
	@Column
	private String impo_domestic_flag;
	public String getImpo_domestic_flag() {
		return this.impo_domestic_flag;
	}
	public void setImpo_domestic_flag(String impo_domestic_flag) {
		this.impo_domestic_flag = impo_domestic_flag;
	}

	/** 
	 * 预算类型代码(6023)
	 */ 
	@Column
	private String budget_type_code;
	public String getBudget_type_code() {
		return this.budget_type_code;
	}
	public void setBudget_type_code(String budget_type_code) {
		this.budget_type_code = budget_type_code;
	}

	/** 
	 * 预算类型名称
	 */ 
	@Column
	private String budget_type_name;
	public String getBudget_type_name() {
		return this.budget_type_name;
	}
	public void setBudget_type_name(String budget_type_name) {
		this.budget_type_name = budget_type_name;
	}

	/** 
	 * 用途类型代码(6027)
	 */ 
	@Column
	private String usage_kind_code;
	public String getUsage_kind_code() {
		return this.usage_kind_code;
	}
	public void setUsage_kind_code(String usage_kind_code) {
		this.usage_kind_code = usage_kind_code;
	}

	/** 
	 * 用途类型名称
	 */ 
	@Column
	private String usage_kind_name;
	public String getUsage_kind_name() {
		return this.usage_kind_name;
	}
	public void setUsage_kind_name(String usage_kind_name) {
		this.usage_kind_name = usage_kind_name;
	}

	/** 
	 * 费用类型代码(6024)
	 */ 
	@Column
	private String expense_type_code;
	public String getExpense_type_code() {
		return this.expense_type_code;
	}
	public void setExpense_type_code(String expense_type_code) {
		this.expense_type_code = expense_type_code;
	}

	/** 
	 * 费用类型名称
	 */ 
	@Column
	private String expense_type_name;
	public String getExpense_type_name() {
		return this.expense_type_name;
	}
	public void setExpense_type_name(String expense_type_name) {
		this.expense_type_name = expense_type_name;
	}

	/** 
	 * 成本中心
	 */ 
	@Column
	private String cost_center;
	public String getCost_center() {
		return this.cost_center;
	}
	public void setCost_center(String cost_center) {
		this.cost_center = cost_center;
	}

	/** 
	 * 交付地点编码（PUR_BS_DELIVERY_LOCATION）
	 */ 
	@Column
	private String delivery_location_code;
	public String getDelivery_location_code() {
		return this.delivery_location_code;
	}
	public void setDelivery_location_code(String delivery_location_code) {
		this.delivery_location_code = delivery_location_code;
	}

	/** 
	 * 交付地点
	 */ 
	@Column
	private String delivery_location;
	public String getDelivery_location() {
		return this.delivery_location;
	}
	public void setDelivery_location(String delivery_location) {
		this.delivery_location = delivery_location;
	}

	/** 
	 * 收货方式（正常接收/JIT）-6015
	 */ 
	@Column
	private String receive_type_code;
	public String getReceive_type_code() {
		return this.receive_type_code;
	}
	public void setReceive_type_code(String receive_type_code) {
		this.receive_type_code = receive_type_code;
	}

	/** 
	 * 收货方式
	 */ 
	@Column
	private String receive_type_name;
	public String getReceive_type_name() {
		return this.receive_type_name;
	}
	public void setReceive_type_name(String receive_type_name) {
		this.receive_type_name = receive_type_name;
	}

	/** 
	 * 数据状态（00无效10草稿20生效）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 审批状态(00:待提报10:待审批 20:审批中 30审批拒绝40审批退回50审批通过)
	 */ 
	@Column
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	/** 
	 * 管理部门代码
	 */ 
	@Column
	private String dept_code;
	public String getDept_code() {
		return this.dept_code;
	}
	public void setDept_code(String dept_code) {
		this.dept_code = dept_code;
	}

	/** 
	 * 管理部门描叙
	 */ 
	@Column
	private String dept_desc;
	public String getDept_desc() {
		return this.dept_desc;
	}
	public void setDept_desc(String dept_desc) {
		this.dept_desc = dept_desc;
	}

	/** 
	 * 管理科室代码
	 */ 
	@Column
	private String unit_code;
	public String getUnit_code() {
		return this.unit_code;
	}
	public void setUnit_code(String unit_code) {
		this.unit_code = unit_code;
	}

	/** 
	 * 管理科室描叙
	 */ 
	@Column
	private String unit_desc;
	public String getUnit_desc() {
		return this.unit_desc;
	}
	public void setUnit_desc(String unit_desc) {
		this.unit_desc = unit_desc;
	}
	// 申请者机构代码（申请者所在部门科室） 
	private String apply_org_code;
	public String getApply_org_code() {
		return this.apply_org_code;
	}
	public void setApply_org_code(String apply_org_code) {
		this.apply_org_code = apply_org_code;
	}
	// 申请者机构名称	 
	private String apply_org_name;
	public String getApply_org_name() {
		return this.apply_org_name;
	}
	public void setApply_org_name(String apply_org_name) {
		this.apply_org_name = apply_org_name;
	}
	//编辑量接受字段
	private Double qty_edit_val;
	public Double getQty_edit_val() {
		return qty_edit_val;
	}
	public void setQty_edit_val(Double qty_edit_val) {
		this.qty_edit_val = qty_edit_val;
	}
	
}
